Mail archive
alpine-devel

Re: [alpine-devel] Packages for promotion to community

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Tue, 8 Jan 2019 18:59:17 +0100

On Mon, 24 Dec 2018 09:04:04 -0500
Curt Tilmes <curt_at_tilmes.org> wrote:

> I would like to see the Perl 6 packages promoted to community if none are
> opposed:
> rakudo, nqp, moarvm, zef.
>

rakudo depends on nqp, which seems to be supported on only a limited
set of architectures. We need adjust the arch variable to rakudo and
zef to correspond with this limited set of arches.

Maybe we should have a whitelist of supported architectures instead of
"all" + blacklist the unsupported ones?

rakudo has an explicit dependency of libffi. Is this really needed?
there is an indirect dependency via so:libmoar.so which depends on
so:libffi.so.6. But I don't know if rakudo will dlopen libffi.so.6 (in
which case the explicit dependeny of libffi is correct). Someone need
to investigate this and either remove explicit libffi dependency or add
a comment that explains why its needed.

-nc


---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Jan 08 2019 - 18:59:17 UTC